%global forgeurl    https://github.com/v2fly/domain-list-community
Version:            20201014042209
%global tag         %{version}

%forgemeta

Name:           v2ray-domain-list-community
Release:        1%{?dist}
Summary:        A list of domains to be used as geosites for routing purpose in Project V

License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}
Source1:        %{forgeurl}/releases/download/%{version}/dlc.dat
Source2:        %{forgeurl}/releases/download/%{version}/dlc.dat.sha256sum

BuildArch:      noarch

%description
A list of domains to be used as geosites for routing purpose in Project V.


%prep
%forgesetup
sed 's|dlc.dat|%{S:1}|g' %{S:2} | sha256sum -c


%build


%install
rm -rf $RPM_BUILD_ROOT
install -m 0755 -vd         %{buildroot}%{_datadir}/v2ray
install -m 0644 -vp  %{S:1} %{buildroot}%{_datadir}/v2ray/geosite.dat


%files
%license LICENSE
%doc README.md
%{_datadir}/v2ray/geosite.dat


%changelog